java.awt.event

## Class AWTEventListenerProxy

- java.lang.Object
- - java.util.EventListenerProxy
  - - java.awt.event.AWTEventListenerProxy

- All Implemented Interfaces:
    AWTEventListener, EventListener

      public class AWTEventListenerProxy
      extends EventListenerProxy
      implements AWTEventListener

  A class which extends the `EventListenerProxy`, specifically for adding an `AWTEventListener` for a specific event mask. Instances of this class can be added as `AWTEventListener`s to a Toolkit object.

  The `getAWTEventListeners` method of Toolkit can return a mixture of `AWTEventListener` and `AWTEventListenerProxy` objects.

  Since:
    1.4
  See Also:
    `Toolkit`, `EventListenerProxy`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTEventListenerProxy(long eventMask, AWTEventListener listener)` Constructor which binds the AWTEventListener to a specific event mask.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `eventDispatched(AWTEvent evt)` Forwards the property change event to the listener delegate.
    `long` | `getEventMask()` Returns the event mask associated with the listener.

    - ### Methods inherited from class java.util.EventListenerProxy

      `getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTEventListenerProxy

          public AWTEventListenerProxy(long eventMask,
                               AWTEventListener listener)

      Constructor which binds the AWTEventListener to a specific event mask.
      Parameters:
        `listener` - The listener object
        `eventMask` - The bitmap of event types to receive

  - ### Method Detail

    - #### eventDispatched

          public void eventDispatched(AWTEvent evt)

      Forwards the property change event to the listener delegate.
      Specified by:
        `eventDispatched` in interface `AWTEventListener`
      Parameters:
        `evt` - the property change event

    - #### getEventMask

          public long getEventMask()

      Returns the event mask associated with the listener.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.